#!/usr/bin/perl -w -I/usr/sausalito/perl -I.
#$Id: addam.pl,v 1.10 2000/09/07 22:26:04 thockin Exp $
# 
# ActiveMonitor._CREATE handler
# author: Tim Hockin (based on work by Jonathan Mayer <jmayer@cobalt.com>)
#
# generates the following i18n messages:
#		alreadyMadeAM

use strict;
use Sauce::Config;
use Sauce::Util;
use FileHandle;
use CCE;

my $cce = new CCE;
$cce->connectfd(\*STDIN,\*STDOUT);

# retreive user object data:
my $oid = $cce->event_oid();

if (!$oid) {
  # something is very, very wrong.
  $cce->bye('FAIL', 'Bad CSCP header');
  exit(1);
}

my $amobj = $cce->event_object();

my $enabled = $amobj->{enabled} ? "true" : "false";
my $maillist = $amobj->{alertEmailList} || "";
my @mla = $cce->scalar_to_array($maillist);
$maillist = join(", ", @mla);

##########################################################################
# error checking
##########################################################################

# See if an AM obj exists
my (@amoid) = $cce->find("ActiveMonitor");

  # FIXME: cleanup in case of a screwup
  if ($#amoid >= 1) {
    # FIXME: why not WARN ?
    $cce->baddata(0, 'enabled', '[[base-am.alreadyMadeAM]]');
    $cce->bye('FAIL');
    exit 1;
  }


##########################################################################
# Add the AM 
##########################################################################

  unlink("/etc/swatch.conf"); # JIC

  my $fout = new FileHandle(">/etc/swatch.conf");
  if ($fout) {
    print $fout "enabled = $enabled\n";
    print $fout "config_root = /usr/sausalito/swatch/conf\n";
    print $fout "lock_file = /var/lock/swatch.lock\n";
    print $fout "email_list = $maillist\n";
    $fout->close();
  }

$cce->bye('SUCCESS');
exit(0);
