#!/usr/bin/perl -w -I/usr/sausalito/perl -I.
#$Id: am_enabled.pl,v 1.4 2000/09/14 23:24:17 thockin Exp $
# Copyright (c) Cobalt Networks 2000
# 
# ActiveMonitor.*.enabled handler
# author: Tim Hockin (based on work by Jonathan Mayer <jmayer@cobalt.com>)
#
use strict;
use CCE;

my $cce = new CCE;
$cce->connectfd();

# retreive object data:
my $oid = $cce->event_oid();
my $ns = $cce->event_namespace();
my ($ok, $newobj, $oldobj) = $cce->get($oid, $ns);

if (!$oid || !$ns) {
  $cce->bye('FAIL', 'Bad oid or namespace');
  exit(1);
}

my ($olden, $newen, $oldmon, $newmon);
$olden = $oldobj->{enabled} ? 1 : 0;
$newen = $newobj->{enabled} ? 1 : 0;
$oldmon = $oldobj->{monitor} ? 1 : 0;
$newmon = $newobj->{monitor} ? 1 : 0;

# only set on a real change of boolean value, not just string value
if (!($olden eq $newen) || !($oldmon eq $newmon)) {
	$cce->set($oid, $ns, { 
		currentState => "N",
		currentMessage => "",
		lastChange => time()});
}

$cce->bye('SUCCESS');
exit(0);
