#!/usr/bin/perl -w -I/usr/sausalito/perl -I.
#$Id: modam.pl,v 1.8 2000/09/07 22:26:04 thockin Exp $
# 
# ActiveMonitor.* modify handler
# author: Tim Hockin (hacked from Jonathan Mayer <jmayer@cobalt.com>)
#

use strict;
use Sauce::Config;
use Sauce::Util;
use CCE;

my $cce = new CCE;
$cce->connectfd(\*STDIN,\*STDOUT);

# retreive am object data:
my $oid = $cce->event_oid();

if (!$oid) {
	# something is very, very wrong.
	$cce->bye('FAIL', 'Bad CSCP header');
	exit(1);
}

my $amobj = $cce->event_object();
my $new = $cce->event_new();
my $old = $cce->event_old();

##########################################################################
# actuate changes
##########################################################################
my $enabled = $amobj->{enabled} ? "true" : "false";
my $maillist = $amobj->{alertEmailList} || "";
my @mla = $cce->scalar_to_array($maillist);
$maillist = join(", ", @mla);

my $fun = sub {
	my ($fin, $fout) = (shift, shift);

	while (defined($_ = <$fin>)) {
		# setup the swatch process
		s/^\s*enabled\s*=.*$/enabled = $enabled/;
		s/^\s*email_list\s*=.*$/email_list = $maillist/;
		print $fout $_;
	}
};

Sauce::Util::editfile("/etc/swatch.conf", $fun);

# comfortable shoes.
$cce->bye('SUCCESS');
exit(0);
